<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: FireConsumable Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/da0/class_fire_consumable.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">FireConsumable Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a22709896cf9e9df85ba29ac3dc042e76"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/da0/class_fire_consumable.html#a22709896cf9e9df85ba29ac3dc042e76">FireConsumable</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item, <a class="el" href="../../d4/dc3/classfloat.html">float</a> energy)</td></tr>
<tr class="separator:a22709896cf9e9df85ba29ac3dc042e76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a086dd4dfbb261679c7136f730c5644d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/da0/class_fire_consumable.html#a086dd4dfbb261679c7136f730c5644d5">GetItem</a> ()</td></tr>
<tr class="separator:a086dd4dfbb261679c7136f730c5644d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d95eac7c196c2ee4a8ef1991b888927"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/da0/class_fire_consumable.html#a3d95eac7c196c2ee4a8ef1991b888927">GetEnergy</a> ()</td></tr>
<tr class="separator:a3d95eac7c196c2ee4a8ef1991b888927"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a002a12c65f5b4dac53c352e966d52c85"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/da0/class_fire_consumable.html#a002a12c65f5b4dac53c352e966d52c85">GetRemainingEnergy</a> ()</td></tr>
<tr class="separator:a002a12c65f5b4dac53c352e966d52c85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a437891493afac2fdea97be5cf17d39b3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/da0/class_fire_consumable.html#a437891493afac2fdea97be5cf17d39b3">SetRemainingEnergy</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> energy)</td></tr>
<tr class="separator:a437891493afac2fdea97be5cf17d39b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a059ad8797a0b3b05a3b19ce0fd033f58"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/da0/class_fire_consumable.html#a059ad8797a0b3b05a3b19ce0fd033f58">m_Item</a></td></tr>
<tr class="separator:a059ad8797a0b3b05a3b19ce0fd033f58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e219f2d7c8089752b0d30f1601c502b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/da0/class_fire_consumable.html#a2e219f2d7c8089752b0d30f1601c502b">m_Energy</a></td></tr>
<tr class="separator:a2e219f2d7c8089752b0d30f1601c502b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a6ad0d9c3baedc2efe16ad455828c5a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/da0/class_fire_consumable.html#a1a6ad0d9c3baedc2efe16ad455828c5a">m_RemainingEnergy</a></td></tr>
<tr class="separator:a1a6ad0d9c3baedc2efe16ad455828c5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/d01/_fire_consumable_8c_source.html#l00001">1</a> of file <a class="el" href="../../db/d01/_fire_consumable_8c_source.html">FireConsumable.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a22709896cf9e9df85ba29ac3dc042e76" name="a22709896cf9e9df85ba29ac3dc042e76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22709896cf9e9df85ba29ac3dc042e76">&#9670;&#160;</a></span>FireConsumable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FireConsumable::FireConsumable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>energy</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d01/_fire_consumable_8c_source.html#l00007">7</a> of file <a class="el" href="../../db/d01/_fire_consumable_8c_source.html">FireConsumable.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3d95eac7c196c2ee4a8ef1991b888927" name="a3d95eac7c196c2ee4a8ef1991b888927"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d95eac7c196c2ee4a8ef1991b888927">&#9670;&#160;</a></span>GetEnergy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> FireConsumable::GetEnergy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d01/_fire_consumable_8c_source.html#l00021">21</a> of file <a class="el" href="../../db/d01/_fire_consumable_8c_source.html">FireConsumable.c</a>.</p>

</div>
</div>
<a id="a086dd4dfbb261679c7136f730c5644d5" name="a086dd4dfbb261679c7136f730c5644d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a086dd4dfbb261679c7136f730c5644d5">&#9670;&#160;</a></span>GetItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> FireConsumable::GetItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d01/_fire_consumable_8c_source.html#l00015">15</a> of file <a class="el" href="../../db/d01/_fire_consumable_8c_source.html">FireConsumable.c</a>.</p>

</div>
</div>
<a id="a002a12c65f5b4dac53c352e966d52c85" name="a002a12c65f5b4dac53c352e966d52c85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a002a12c65f5b4dac53c352e966d52c85">&#9670;&#160;</a></span>GetRemainingEnergy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> FireConsumable::GetRemainingEnergy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d01/_fire_consumable_8c_source.html#l00027">27</a> of file <a class="el" href="../../db/d01/_fire_consumable_8c_source.html">FireConsumable.c</a>.</p>

</div>
</div>
<a id="a437891493afac2fdea97be5cf17d39b3" name="a437891493afac2fdea97be5cf17d39b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a437891493afac2fdea97be5cf17d39b3">&#9670;&#160;</a></span>SetRemainingEnergy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FireConsumable::SetRemainingEnergy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>energy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d01/_fire_consumable_8c_source.html#l00032">32</a> of file <a class="el" href="../../db/d01/_fire_consumable_8c_source.html">FireConsumable.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a2e219f2d7c8089752b0d30f1601c502b" name="a2e219f2d7c8089752b0d30f1601c502b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e219f2d7c8089752b0d30f1601c502b">&#9670;&#160;</a></span>m_Energy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> FireConsumable::m_Energy</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d01/_fire_consumable_8c_source.html#l00004">4</a> of file <a class="el" href="../../db/d01/_fire_consumable_8c_source.html">FireConsumable.c</a>.</p>

</div>
</div>
<a id="a059ad8797a0b3b05a3b19ce0fd033f58" name="a059ad8797a0b3b05a3b19ce0fd033f58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a059ad8797a0b3b05a3b19ce0fd033f58">&#9670;&#160;</a></span>m_Item</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> FireConsumable::m_Item</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d01/_fire_consumable_8c_source.html#l00003">3</a> of file <a class="el" href="../../db/d01/_fire_consumable_8c_source.html">FireConsumable.c</a>.</p>

</div>
</div>
<a id="a1a6ad0d9c3baedc2efe16ad455828c5a" name="a1a6ad0d9c3baedc2efe16ad455828c5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a6ad0d9c3baedc2efe16ad455828c5a">&#9670;&#160;</a></span>m_RemainingEnergy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> FireConsumable::m_RemainingEnergy</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d01/_fire_consumable_8c_source.html#l00005">5</a> of file <a class="el" href="../../db/d01/_fire_consumable_8c_source.html">FireConsumable.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/Cooking/<a class="el" href="../../db/d01/_fire_consumable_8c_source.html">FireConsumable.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/da0/class_fire_consumable.html">FireConsumable</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
